import request from '@/utils/request'

// 查询项目基坑监测配置列表
export function listPitConfig(query) {
  return request({
    url: '/device/pitConfig/list',
    method: 'get',
    params: query
  })
}

// 查询项目基坑监测配置详细
export function getPitConfig(id) {
  return request({
    url: '/device/pitConfig/' + id,
    method: 'get'
  })
}

// 新增项目基坑监测配置

export function addPitConfig(data) {
  return request({
    url: '/device/pitConfig',
    method: 'post',
    data: data
  })
}

// 修改项目基坑监测配置

export function updatePitConfig(data) {
  return request({
    url: '/device/pitConfig',
    method: 'put',
    data: data
  })
}

// 删除项目基坑监测配置

export function delPitConfig(id) {
  return request({
    url: '/device/pitConfig/' + id,
    method: 'delete'
  })
}


export function findByProjIdDeptId(prjId,deptId){
 
    let where={
      projectId:prjId,
      subDeptId:deptId
    }
    return listPitConfig(where);
  
}